List visitor conversations
const url = 'https://api.inside.chat/api/v1/dashboard/visitors/example/conversations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.inside.chat/api/v1/dashboard/visitors/example/conversations \ --header 'Authorization: Bearer <token>'Required scopes:
conversation_read
Data access: –
MCP tool:visitor_conversations
Read a visitor’s authorized conversation history.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional; if present must match the resource owner.
Continue at the last delivered owned resource ID. Existing canonical base64 positive signed-64-bit numeric history cursors are also accepted for transcript and visitor history.
Responses
Section titled “Responses”Authorized result. Projection depends on current scopes and data policy.
object
object
Example
{ "data": { "data": [ { "status": "unassigned", "platform": "chat" } ], "coverage": "persisted_conversations" }}Invalid, duplicate or unsupported request parameters.
Missing, expired or revoked installation credential.
Resource not found or not permitted by current authority.
The requested capability is not available for application installations.
Per-app quota exceeded.
Headers
Section titled “Headers”Enrollment, native service or required authority is unavailable.